#include "blitz/game/Game.h"

namespace blitz {
namespace game {

Player* Game::GetPlayerById(PlayerID id) {
	auto it = m_Players.find(id);

	if (it == m_Players.end())
		return nullptr;

	return &it->second;
}

const Player* Game::GetPlayerById(PlayerID id) const {
	auto it = m_Players.find(id);

	if (it == m_Players.end())
		return nullptr;

	return &it->second;
}

}  // namespace game
}  // namespace blitz
